services:
  surfshark:
    cap_add:
      - NET_ADMIN
    container_name: surfshark
    devices:
      - /dev/net/tun
    dns:
      - 1.1.1.1
    environment:
      - SURFSHARK_USER=${SURFSHARK_USER:?}
      - SURFSHARK_PASSWORD=${SURFSHARK_PASSWORD:?}
      - SURFSHARK_COUNTRY=nl
      - SURFSHARK_CITY=ams
      - CONNECTION_TYPE=udp
      - LAN_NETWORK=
      - ENABLE_SOCKS_SERVER=true
    image: ilteoood/docker-surfshark:1.7.2
    ports:
      - 1080:1080
      - 9091:9091
      - 9092:9092
      - 6881:6881
      - 6881:6881/udp
    restart: unless-stopped
    labels:
      - autoheal=true
